Legacy (v0)
List reps
Lists the company’s reps, with optional search, active filter and sort. Page-number paginated with page and per_page (default 10, maximum 100); totals are in meta.pagination. Requires a company admin token with the users.view permission.
GET
/
api
/
reps
List reps
curl --request GET \
--url https://api.fluid.app/api/reps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/reps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/reps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/reps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/reps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/reps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/reps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"reps": [
{
"id": 20417,
"first_name": "Dwight",
"last_name": "Schrute",
"created_at": "2026-09-02T14:05:11Z",
"active": true,
"external_id": "DM-REP-0042",
"username": "dwight-schrute",
"share_guid": "dwight-schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Dwight Schrute",
"name": "Dwight Schrute",
"computed_email": "dwight.schrute@dundermifflin.com",
"phone": "+15705550142"
},
{
"id": 20418,
"first_name": "Jim",
"last_name": "Halpert",
"created_at": "2026-09-03T09:41:27Z",
"active": true,
"external_id": "DM-REP-0043",
"username": "jim-halpert",
"share_guid": "jim-halpert",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Jim Halpert",
"name": "Jim Halpert",
"computed_email": "jim.halpert@dundermifflin.com",
"phone": "+15705550187"
}
],
"meta": {
"request_id": "5f0c2d9e-8b1a-4c3e-9d7f-2a6b8e4c1f03",
"timestamp": "2026-09-14T15:32:08Z",
"pagination": {
"current_page": 1,
"total_pages": 1,
"total_count": 2,
"per_page": 10
}
}
}{
"message": "<string>"
}Query Parameters
⌘I
List reps
curl --request GET \
--url https://api.fluid.app/api/reps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/reps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/reps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/reps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/reps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/reps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/reps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"reps": [
{
"id": 20417,
"first_name": "Dwight",
"last_name": "Schrute",
"created_at": "2026-09-02T14:05:11Z",
"active": true,
"external_id": "DM-REP-0042",
"username": "dwight-schrute",
"share_guid": "dwight-schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Dwight Schrute",
"name": "Dwight Schrute",
"computed_email": "dwight.schrute@dundermifflin.com",
"phone": "+15705550142"
},
{
"id": 20418,
"first_name": "Jim",
"last_name": "Halpert",
"created_at": "2026-09-03T09:41:27Z",
"active": true,
"external_id": "DM-REP-0043",
"username": "jim-halpert",
"share_guid": "jim-halpert",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Jim Halpert",
"name": "Jim Halpert",
"computed_email": "jim.halpert@dundermifflin.com",
"phone": "+15705550187"
}
],
"meta": {
"request_id": "5f0c2d9e-8b1a-4c3e-9d7f-2a6b8e4c1f03",
"timestamp": "2026-09-14T15:32:08Z",
"pagination": {
"current_page": 1,
"total_pages": 1,
"total_count": 2,
"per_page": 10
}
}
}{
"message": "<string>"
}